Mailinglist Archive: opensuse-factory (914 mails)

< Previous Next >
Re: [opensuse-factory] php5 drop
Martin Pluskal wrote:
On Tue, 2017-06-27 at 15:37 +0200, Petr Gajdos wrote:
Hey,

I would like to remove php5 from Tumbleweed.

The impulse to consider it is the plan to switch to openssl 1.1 [0].
Support for 5.6 ended on 19 Jan 2017 [1] and upstream will not
backport the changeset related to openssl 1.1 in 5.6 branch [2].

Of course I am planning to create devel:languages:php:php56 and keep
the current version of php 5.6 building there for Tumbleweed as long
as feasible.

I propose to drop php5 from Tumbleweed at the end of August.

+1

-1

This seems to require much more work before dropping php5:

# zypper in roundcubemail
Loading repository data...
Reading installed packages...
Resolving package dependencies...

The following 28 NEW packages are going to be installed:
apache2-mod_php7 php5-pear-Auth_SASL php5-pear-Mail_Mime
php5-pear-Mail_mimeDecode
php5-pear-MDB2 php5-pear-MDB2_Driver_mysqli php5-pear-Net_IDNA2
php5-pear-Net_LDAP2
php5-pear-Net_Sieve
php5-pear-Net_SMTP php5-pear-Net_Socket php7 php7-dom php7-exif php7-gettext
php7-iconv
php7-json php7-ldap php7-mbstring php7-mcrypt php7-mysql php7-openssl php7-pdo
php7-pear
php7-pear-Archive_Tar php7-sockets php7-zlib roundcubemail

Ciao, Michael.

< Previous Next >
Follow Ups